Subject: bug#6283: doc/lispref/searching.texi reference to octal code `0377' correct?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 31 May 2010 21:49:53 +0300

> Date: Mon, 31 May 2010 01:35:41 -0400
> From: MON KEY <[email-masked]>
> Cc: [email-masked]
> 
> > Again, this part of the manual is not about how Emacs represents
> > characters or reads them.  It's about their codes.
> 
> This is how I understood this portion of the manual.
> Maybe I'm misunderstanding something fundamental about this distinction.

A character and its codepoint are not the same thing.  If this
distinction is not clear, I suggest reading the Unicode Technical
Report #17 (http://unicode.org/reports/tr17/).

> >> 0377 doesn't have a character that I'm aware of.
> >
> > In Unicode, it's a codepoint of LATIN SMALL LETTER Y WITH DIAERESIS.
> 
> I don't understand this.

I don't know how to express this more clearly.  Perhaps you could ask
specific questions.